CREATE TABLE ad_applied_patches (
    APPLIED_PATCH_ID        NUMBER            NOT NULL,
    RAPID_INSTALLED_FLAG    VARCHAR2(4)   ,
    PATCH_NAME              VARCHAR2(480)     NOT NULL,
    PATCH_TYPE              VARCHAR2(120)     NOT NULL,
    PATCH_DESCRIPTION       VARCHAR2(1024),
    MAINT_PACK_LEVEL        VARCHAR2(120) ,
    SOURCE_CODE             VARCHAR2(12)      NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    IMPORTED_FLAG           VARCHAR2(4)   ,
    IMPORTED_FROM_DB        VARCHAR2(120) ,
    IMPORTED_ID             NUMBER        ,
    MERGE_DATE              DATE          ,
    DATA_MODEL_DONE_FLAG    VARCHAR2(4)   ,
    LAST_UPDATE_LOGIN       VARCHAR2(128) ,
    ORA_EDITION_CONTEXT     VARCHAR2(120)     NOT NULL,
    APPLIED_PATCH_ID        NUMBER            NOT NULL,
    RAPID_INSTALLED_FLAG    VARCHAR2(4)   ,
    PATCH_NAME              VARCHAR2(480)     NOT NULL,
    PATCH_TYPE              VARCHAR2(120)     NOT NULL,
    MAINT_PACK_LEVEL        VARCHAR2(120) ,
    SOURCE_CODE             VARCHAR2(12)      NOT NULL,
    CREATION_DATE           TIMESTAMP(6)      NOT NULL,
    CREATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY         VARCHAR2(256)     NOT NULL,
    IMPORTED_FLAG           VARCHAR2(4)   ,
    IMPORTED_FROM_DB        VARCHAR2(120) ,
    IMPORTED_ID             NUMBER        ,
    MERGE_DATE              DATE          ,
    DATA_MODEL_DONE_FLAG    VARCHAR2(4)   ,
    LAST_UPDATE_LOGIN       VARCHAR2(128) ,
    PATCH_DESCRIPTION       VARCHAR2(1024),
    ORA_EDITION_CONTEXT     VARCHAR2(120)     NOT NULL
);
